
Counter - Employment  - Task #1496

MPMG001 Review Renewal work permit ( Gulf Employment ) request

07/23/2019 02:36 PM - Mahmoud Tarawneh

Status: Fixed Start date: 07/24/2019

Priority: Normal Due date:  

Assignee: Mahmoud Tarawneh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Mohammad Alkhaled Actual Result:  

Severity: Normal Environment: Development

Category: Employment New Use Case Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 0

Description

Dear Moath,

Kindly find the MPM SRS (Gulf labor) V1 to implement "MPMG001 Review Renewal work permit ( Gulf Employment ) request" in

PamEmploymentApp.

You can find the SRS in on SVN in EmploymentDocs Folder or in Files Tab of PamProject Group in Teams Application.

URL for PamEmploymentApp on SVN:

http://192.168.31.5:8080/svn/mosal/branch/08-10-2018/PamEmploymentApp

for any further clarifications assign it to Mohamad Al Khaled.

History

#1 - 07/23/2019 03:00 PM - Mouath Saadah

- Status changed from Open to In Progress

#2 - 07/24/2019 11:47 AM - Mouath Saadah

- File 121299.png added

- File 666666.png added

- Status changed from In Progress to Feedback

- Assignee changed from Mouath Saadah to Abd Alrahman almomani

- % Done changed from 0 to 50

Dear Abd Alrahman

I want to make sure if the fields "تاريخ بداية اذن العمل" & "تاريخ نهاية اذن العمل" are visible or not because in the screenshot invisible but in

the table visible

**look at this attachment

Best Regards,

Mouath Saadah
#3 - 07/24/2019 12:16 PM - Abd Alrahman almomani

- Assignee changed from Abd Alrahman almomani to Mohammad Alkhaled

#4 - 07/24/2019 04:25 PM - Mouath Saadah

- Assignee changed from Mohammad Alkhaled to Mahmoud Tarawneh

- % Done changed from 50 to 90

I am waiting for creat pro "ISSUEPERMG_CONFIRM" & "ISSUEPERMG_REJECT"  and table for "بيانات التامينات "

#5 - 07/25/2019 10:38 AM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Shatha Alasir

#6 - 07/25/2019 11:14 AM - Shatha Alasir

- Status changed from Feedback to Fixed

- Assignee changed from Shatha Alasir to Mohammad Joudeh

ISSUEPERMG_CONFIRM doesn't exist

#7 - 07/28/2019 01:01 PM - Mohammad Joudeh

- Assignee changed from Mohammad Joudeh to Shatha Alasir

salam Shatha,

these procedures are related to gulf labor,

 ---- gulf and unspecified nationality has been delayed

#8 - 07/29/2019 06:47 PM - Shatha Alasir

- Assignee changed from Shatha Alasir to Mohammad Joudeh

- Co-Workers Mohammad Joudeh added

kingly build the headers only, to enable the ADF developers to finish their task

#9 - 07/31/2019 04:22 PM - Mohammad Joudeh

- Assignee changed from Mohammad Joudeh to Shatha Alasir

we are creating all procedures now in Kuwait DB,

#10 - 08/07/2019 12:28 PM - Shatha Alasir

- Assignee changed from Shatha Alasir to Mahmoud Tarawneh

#11 - 08/21/2019 02:30 PM - Mahmoud Tarawneh

- Status changed from Fixed to Feedback

- Assignee changed from Mahmoud Tarawneh to Mouath Saadah

#12 - 08/21/2019 02:53 PM - Mouath Saadah

- File 21121212.png added

- Assignee changed from Mouath Saadah to Mohammad Alkhaled
Dear Mohammad Alkhaled

I just want to make sure if the "بيانات التامينات" are ready now

Best Regards,

Moauath Saadah

#13 - 09/02/2019 05:20 PM - Mohammad Alkhaled

- Assignee changed from Mohammad Alkhaled to Mouath Saadah

- SERVICE_ID set to 0

still not ready for Gulf Employment

#14 - 09/02/2019 05:31 PM - Mouath Saadah

- Assignee changed from Mouath Saadah to Mahmoud Tarawneh

I am wating "بيانات التامينات" for Gulf Employment

#15 - 09/02/2019 05:32 PM - Mouath Saadah

waiting ***

#16 - 09/04/2019 10:50 AM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Mouath Saadah

#17 - 09/08/2019 10:44 AM - Mouath Saadah

- Assignee changed from Mouath Saadah to Mohammad Alkhaled

Dear Mohammad Alkhaled

Good Morning

please when the  "بيانات التامينات "  ready ,return task to me

Best Regards,

Moauath Saadah

#18 - 02/24/2020 10:15 AM - Mouath Saadah

- Status changed from Feedback to Fixed

- Assignee changed from Mohammad Alkhaled to Mahmoud Tarawneh

- % Done changed from 90 to 100

- Co-Workers Mohammad Alkhaled added

- Co-Workers deleted (Mohammad Joudeh)

I added a new way to get بيانات التامينات and بيانات العامل  because "labor id " does not exist yet 

get بيانات التأمينات used
(select MPM_LABOR_PROFILE_TRANS.CIVIL_ID from MPM_LABOR_PROFILE_TRANS where 

MPM_LABOR_PROFILE_TRANS.TRANS_PARENT_ID = I.TRANS_ID)CIVIL_ID_PARENT

and get بيانات العامل used

com form id A6 instead of A5 and sent par trans id

like screen MPMN001

Files

121299.png 49.2 KB 07/24/2019 Mouath Saadah

666666.png 64.7 KB 07/24/2019 Mouath Saadah

21121212.png 8.26 KB 08/21/2019 Mouath Saadah
